This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 425956 - Review Request: ufoai-data - UFO: Alien Invasion data files
Review Request: ufoai-data - UFO: Alien Invasion data files
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 412001
  Show dependency treegraph
 
Reported: 2007-12-17 08:02 EST by Karel Volný
Modified: 2008-01-08 04:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 14:19:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2007-12-17 08:02:35 EST
Spec URL: http://www.hajnet.cz/soubory/ufoai/ufoai-data.spec
SRPM URL: http://www.hajnet.cz/soubory/ufoai/ufoai-data-2.1.1-2.fc8.src.rpm
Description:
UFO: ALIEN INVASION is a strategy game featuring tactical combat
against hostile alien forces which are about to infiltrate earth at
this very moment.

This package contains the data files needed to run the game.


please see bug 412001
Comment 1 Hans de Goede 2007-12-21 07:49:31 EST
Doing a full review.
Comment 2 Hans de Goede 2007-12-21 09:28:24 EST
Full review done:

Must Fix:
---------
* Include an empty %build section, not having a build section can cause
  problems in certain cases (or so I have been told)
* Not all content is licensed under the GPL, I'm afraid this means that ufoai
  atm cannot be included in Fedora, see:
http://ufoai.ninex.info/wiki/index.php/License_Issues
http://ufoai.ninex.info/wiki/index.php/License

Upstream is working on fixing this though, see the currently latest news item
at: http://ufoai.sourceforge.net

Perhaps you can help them?


Should Fix:
-----------
* Passing "-n %{name}-%{version}" to %setup is redundant.
Comment 3 Hans de Goede 2008-01-04 04:25:44 EST
ping?
Comment 4 Karel Volný 2008-01-07 12:24:37 EST
(In reply to comment #3)
> ping?

pong, I was on vacation

(In reply to comment #2)
> Full review done:
> Must Fix:
> ---------
> * Include an empty %build section, not having a build section can cause
>   problems in certain cases (or so I have been told)

it is there, didn't you look at the old revision?
- please check:
http://www.hajnet.cz/soubory/ufoai/ufoai-data.spec.2.1.1-2

> * Not all content is licensed under the GPL, I'm afraid this means that 
ufoai
>   atm cannot be included in Fedora, see:

I guess we have to wait (until the next release) ... let's turn to livna 
(rpmfusion) meanwhile

> Should Fix:
> -----------
> * Passing "-n %{name}-%{version}" to %setup is redundant.

somehow it did not work for me without it, now it works ... I made a new spec 
revision, but I won't repack the data (srpm) for now; see 
http://www.hajnet.cz/soubory/ufoai/ufoai-data.spec.2.1.1-3
Comment 5 Hans de Goede 2008-01-07 14:19:42 EST
(In reply to comment #4)
> I guess we have to wait (until the next release) ... let's turn to livna 
> (rpmfusion) meanwhile
> 

Okay, closing this as a dead review then, feel free to reopen or file a new one
once the license issues are fixed.

I'll also be closing the review for the engine as the guidelines do not allow
for a "useless" package to be packaged, basicly the rule is that if a package
needs some content to function and is completely not functional without that
content it cannot be part of Fedora.
Comment 6 Karel Volný 2008-01-08 04:41:56 EST
(In reply to comment #5)
> Okay, closing this as a dead review then, feel free to reopen or file a new 
one
> once the license issues are fixed.

ok, we'll see ...

Note You need to log in before you can comment on or make changes to this bug.